Index: issm/trunk-jpl/src/c/bamg/AdjacentTriangle.cpp
===================================================================
--- issm/trunk-jpl/src/c/bamg/AdjacentTriangle.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/AdjacentTriangle.cpp	(revision 16233)
@@ -16,9 +16,4 @@
 	int  AdjacentTriangle::Locked() const {
 		return t->AdjEdgeIndex[a] & 4;
-	}
-	/*}}}*/
-	/*FUNCTION AdjacentTriangle::MarkUnSwap {{{*/
-	int  AdjacentTriangle::MarkUnSwap() const {
-		return t->AdjEdgeIndex[a] & 8;
 	}
 	/*}}}*/
Index: issm/trunk-jpl/src/c/bamg/AdjacentTriangle.h
===================================================================
--- issm/trunk-jpl/src/c/bamg/AdjacentTriangle.h	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/AdjacentTriangle.h	(revision 16233)
@@ -31,5 +31,4 @@
 			//Methods
 			int  Locked() const;
-			int  MarkUnSwap() const;
 			int  GetAllFlag_UnSwap() const;
 			void SetLock();
Index: issm/trunk-jpl/src/c/bamg/BamgQuadtree.cpp
===================================================================
--- issm/trunk-jpl/src/c/bamg/BamgQuadtree.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/BamgQuadtree.cpp	(revision 16233)
@@ -391,111 +391,4 @@
 	}
 	/*}}}*/
-	/*FUNCTION BamgQuadtree::NearestVertexWithNormal{{{*/
-	BamgVertex*  BamgQuadtree::NearestVertexWithNormal(Icoor1 i,Icoor1 j) {
-		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, BamgQuadtree.cpp/NearestVertexWithNormal)*/
-
-		BamgQuadtreeBox * pb[ MaxDepth ];
-		int  pi[ MaxDepth  ];
-		Icoor1 ii[  MaxDepth ], jj [ MaxDepth];
-		int l; // level
-		BamgQuadtreeBox * b;
-		long     h =MaxISize,h0;
-		long     hb=MaxISize;
-		Icoor1  i0=0,j0=0;
-		Icoor1  iplus( i<MaxISize?(i<0?0:i):MaxISize-1);
-		Icoor1  jplus( j<MaxISize?(j<0?0:j):MaxISize-1);
-
-		BamgVertex *vn=0;
-
-		// init for optimisation ---
-		b = root;
-		register long  n0;
-		if (!root->nbitems)
-		 return vn; // empty tree 
-
-		while( (n0 = b->nbitems) < 0) 
-		  {
-			// search the non empty 
-			// BamgQuadtreeBox containing  the point (i,j)
-			register Icoor1 hb2 = hb >> 1 ;
-			register  int k = IJ(iplus,jplus,hb2);// BamgQuadtreeBox number of size hb2 contening i;j
-			register BamgQuadtreeBox * b0= b->b[k];
-			if ( ( b0 == 0) || (b0->nbitems == 0) ) 
-			 break; // null box or empty   => break 	    
-			b=b0;	
-			i0 += I_IJ(k,hb2); // i orign of BamgQuadtreeBox
-			j0 += J_IJ(k,hb2); // j orign of BamgQuadtreeBox 
-			hb = hb2; 
-		  }
-
-		if ( n0 > 0) 
-		  {  
-			for(register int k=0;k<n0;k++)
-			  {
-				I2 i2 =  b->v[k]->i;
-				//   try if is in the right direction -- 
-				h0 = NORM(iplus,i2.x,jplus,i2.y);
-				if (h0 <h) {
-					h = h0;
-					vn = b->v[k];}
-			  }
-			if (vn) return vn; 
-		  }
-		// general case -----
-		// INITIALISATION OF THE HEAP 
-		l =0; // level 
-		pb[0]= b;
-		pi[0]=b->nbitems>0 ?(int)  b->nbitems : 4  ;
-		ii[0]=i0;
-		jj[0]=j0;
-		h=hb;
-		do {   // walk on the tree  
-			b= pb[l];
-			while (pi[l]--) // loop on 4 element of the box
-			  { 	      
-				int k = pi[l];
-
-				if (b->nbitems>0) // BamgVertex BamgQuadtreeBox none empty
-				  { 
-					I2 i2 =  b->v[k]->i;
-					// if good direction when try -- 
-
-					h0 = NORM(iplus,i2.x,jplus,i2.y);
-					if (h0 <h) 
-					  {
-						h = h0;
-						vn = b->v[k];
-					  }
-				  }
-				else // Pointer BamgQuadtreeBox 
-				  { 
-					register BamgQuadtreeBox *b0=b;
-					if ((b=b->b[k])) 
-					  {
-						hb >>=1 ; // div by 2
-						register Icoor1 iii = ii[l]+I_IJ(k,hb);
-						register Icoor1 jjj = jj[l]+J_IJ(k,hb);
-
-						if  (INTER_SEG(iii,iii+hb,iplus-h,iplus+h) && INTER_SEG(jjj,jjj+hb,jplus-h,jplus+h)) 
-						  {
-							pb[++l]=  b;
-							pi[l]= b->nbitems>0 ?(int)  b->nbitems : 4  ;
-							ii[l]= iii;
-							jj[l]= jjj;
-
-						  }
-						else
-						 b=b0, hb <<=1 ;
-					  }
-					else
-					 b=b0;
-				  }
-			  }
-			hb <<= 1; // mul by 2 
-		} while (l--);
-
-		return vn;
-	}
-	/*}}}*/
 	/*FUNCTION BamgQuadtree::NewBamgQuadtreeBox {{{*/
 	BamgQuadtree::BamgQuadtreeBox* BamgQuadtree::NewBamgQuadtreeBox(void){
Index: issm/trunk-jpl/src/c/bamg/BamgQuadtree.h
===================================================================
--- issm/trunk-jpl/src/c/bamg/BamgQuadtree.h	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/BamgQuadtree.h	(revision 16233)
@@ -52,5 +52,4 @@
 
 			BamgVertex      *NearestVertex(Icoor1 i,Icoor1 j);
-			BamgVertex      *NearestVertexWithNormal(Icoor1  i,Icoor1 j);
 			BamgQuadtreeBox *NewBamgQuadtreeBox(void);
 			BamgVertex      *ToClose(BamgVertex &,double ,Icoor1,Icoor1);
Index: issm/trunk-jpl/src/c/bamg/EigenMetric.cpp
===================================================================
--- issm/trunk-jpl/src/c/bamg/EigenMetric.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/EigenMetric.cpp	(revision 16233)
@@ -131,8 +131,4 @@
 		return sqrt(1/bamg::Max(bamg::Min(lambda1,lambda2),1e-30));
 	}/*}}}*/
-	/*FUNCTION EigenMetric::Isotrope{{{*/
-	void   EigenMetric::Isotrope() {
-		lambda1=lambda2=bamg::Max(lambda1,lambda2);
-	}/*}}}*/
 	/*FUNCTION EigenMetric::lmax{{{*/
 	double EigenMetric::lmax() const {
Index: issm/trunk-jpl/src/c/bamg/ListofIntersectionTriangles.cpp
===================================================================
--- issm/trunk-jpl/src/c/bamg/ListofIntersectionTriangles.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/ListofIntersectionTriangles.cpp	(revision 16233)
@@ -178,26 +178,4 @@
 		  }
 		return nbv-nbvold;
-	}
-	/*}}}*/
-	/*FUNCTION ListofIntersectionTriangles::NewSubSeg{{{*/
-	void  ListofIntersectionTriangles::NewSubSeg(GeomEdge *e,double s0,double s1){ 
-		long int verbosity=0;
-		if (NbSeg>=MaxNbSeg) {
-			int mneo= MaxNbSeg;
-			MaxNbSeg *= 2;
-			if (verbosity>3){
-				_printf_("   reshape lSegsI from " << mneo << " to " << MaxNbSeg << "\n");
-			}
-			_assert_(lSegsI && NbSeg<MaxNbSeg);
-			SegInterpolation * lEn =  new SegInterpolation[MaxNbSeg];
-			for (int i=0;i< NbSeg;i++) lEn[i] = lSegsI[MaxNbSeg]; // copy old to new            
-			delete []  lSegsI; // remove old
-			lSegsI = lEn;        
-		}
-		if (NbSeg) lSegsI[NbSeg-1].last=Size;
-		lSegsI[NbSeg].e=e;
-		lSegsI[NbSeg].sBegin=s0;
-		lSegsI[NbSeg].sEnd=s1;     
-		NbSeg++;           
 	}
 	/*}}}*/
Index: issm/trunk-jpl/src/c/bamg/ListofIntersectionTriangles.h
===================================================================
--- issm/trunk-jpl/src/c/bamg/ListofIntersectionTriangles.h	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/ListofIntersectionTriangles.h	(revision 16233)
@@ -66,5 +66,4 @@
 			double Length();
 			long   NewPoints(BamgVertex *,long &nbv,long maxnbv);
-			void   NewSubSeg(GeomEdge *e,double s0,double s1);
 			void   ReShape();
 	};
Index: issm/trunk-jpl/src/c/bamg/Metric.h
===================================================================
--- issm/trunk-jpl/src/c/bamg/Metric.h	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/Metric.h	(revision 16233)
@@ -72,5 +72,4 @@
 			void   Minh(double h);
 			void   Maxh(double h);
-			void   Isotrope();
 			double hmin()   const;
 			double hmax()   const;
Index: issm/trunk-jpl/src/c/bamg/Triangle.cpp
===================================================================
--- issm/trunk-jpl/src/c/bamg/Triangle.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/Triangle.cpp	(revision 16233)
@@ -53,33 +53,4 @@
 		return AdjacentTriangle(adj[i],AdjEdgeIndex[i]&3);
 	};/*}}}*/
-	/*FUNCTION Triangle::Anisotropy{{{*/
-	double Triangle::Anisotropy() const{
-
-		double lmin,lmax;
-
-		/*Get three vertices A,B and C*/
-		R2 A=*this->vertices[0];
-		R2 B=*this->vertices[1];
-		R2 C=*this->vertices[2];
-
-		/*Compute edges*/
-		R2 e1=B-A;
-		R2 e2=C-A;
-		R2 e3=B-C;
-
-		/*Compute edge length*/
-		double l1=Norme2(e1);
-		double l2=Norme2(e2);
-		double l3=Norme2(e3);
-
-		lmin=l1;
-		lmin=min(lmin,l2);
-		lmin=min(lmin,l3);
-		lmax=l1;
-		lmax=max(lmax,l2);
-		lmax=max(lmax,l3);
-
-		return lmax/lmin;
-	};/*}}}*/
 	/*FUNCTION Triangle::Length{{{*/
 	double Triangle::Length() const{
@@ -133,51 +104,4 @@
 
 		return;
-	}
-	/*}}}*/
-	/*FUNCTION Triangle::FindBoundaryEdge{{{*/
-	AdjacentTriangle Triangle::FindBoundaryEdge(int i) const{
-		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/FindBoundaryEdge)*/
-
-		/*Intermediary*/
-		Triangle* ttc=NULL;
-		int k,j,jc;
-
-		// call current triangle t
-		Triangle* t = (Triangle*)this;
-
-		//is the current triangle inside or outside?
-		int outside=!link  ;
-
-		// EdgesVertexTriangle[3][2] = {{1,2},{2,0},{0,1}};
-		// initialize j as the first vertex of the ith edge
-		j=EdgesVertexTriangle[i][0];
-
-		//Loop over the adjacent triangle of t
-		k=0;
-		do{
-			//keep track of outside
-			int outsidep = outside;
-			//increment k
-			k++;
-			//Get ttc, adjacent triangle of t with respect to vertex j
-			ttc =  t->adj[j];
-			//is the current triangle inside or outside?
-			outside = !ttc->link;
-			//if both previous triangle are outside, return
-			if (outside+outsidep == 1) return AdjacentTriangle(t,j);
-
-			//update t and j
-			t = ttc;
-			//NextEdge[3] = {1,2,0};
-			jc = NextEdge[t->AdjEdgeIndex[j]&3];
-			j = NextEdge[jc];
-
-			//check number of iterations
-			if (k>=2000){
-				_error_("too many iteration in Triangle::FindBoundaryEdge (k>=2000)");
-			}
-		} while (this!= t);
-		//not found, return empty triangle
-		return AdjacentTriangle(NULL,0);
 	}
 	/*}}}*/
Index: issm/trunk-jpl/src/c/bamg/Triangle.h
===================================================================
--- issm/trunk-jpl/src/c/bamg/Triangle.h	(revision 16232)
+++ issm/trunk-jpl/src/c/bamg/Triangle.h	(revision 16233)
@@ -40,5 +40,4 @@
 			//Methods
 			void              Echo();
-			double            Anisotropy() const;
 			double            Length() const;
 			int               swap(short a1,int=0);
@@ -50,5 +49,4 @@
 			double            QualityQuad(int a,int option=1) const;
 			short             NuEdgeTriangleAdj(int i) const;
-			AdjacentTriangle  FindBoundaryEdge(int  i) const;
 			AdjacentTriangle  Adj(int i) const;
 			Triangle         *TriangleAdj(int i) const;
Index: issm/trunk-jpl/src/c/classes/Elements/Penta.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Elements/Penta.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Elements/Penta.cpp	(revision 16233)
@@ -1531,5 +1531,4 @@
 		break;
 	case StressbalanceVerticalAnalysisEnum:
-		//GetSolutionFromInputsStressbalanceVert(solution);
 		GetSolutionFromInputsOneDof(solution, VzEnum);
 		break;
@@ -1537,9 +1536,7 @@
 	#ifdef _HAVE_THERMAL_
 	case ThermalAnalysisEnum:
-		//GetSolutionFromInputsThermal(solution);
 		GetSolutionFromInputsOneDof(solution, TemperatureEnum);
 		break;
 	case EnthalpyAnalysisEnum:
-		//GetSolutionFromInputsEnthalpy(solution);
 		GetSolutionFromInputsOneDof(solution, EnthalpyEnum);
 		break;
@@ -4851,65 +4848,4 @@
 	delete friction;
 	return pe;
-}
-/*}}}*/
-/*FUNCTION Penta::GetSolutionFromInputsThermal{{{*/
-void  Penta::GetSolutionFromInputsThermal(Vector<IssmDouble>* solution){
-
-	const int    numdof=NDOF1*NUMVERTICES;
-
-	int         i;
-	int        *doflist = NULL;
-	IssmDouble  values[numdof];
-	IssmDouble  temp;
-	GaussPenta *gauss = NULL;
-
-	/*Get dof list: */
-	GetDofList(&doflist,NoneApproximationEnum,GsetEnum);
-	Input* t_input=inputs->GetInput(TemperatureEnum); _assert_(t_input);
-
-	gauss=new GaussPenta();
-	for(i=0;i<NUMVERTICES;i++){
-		/*Recover temperature*/
-		gauss->GaussVertex(i);
-		t_input->GetInputValue(&temp,gauss);
-		values[i]=temp;
-	}
-
-	/*Add value to global vector*/
-	solution->SetValues(numdof,doflist,values,INS_VAL);
-
-	/*Free ressources:*/
-	delete gauss;
-	xDelete<int>(doflist);
-}
-/*}}}*/
-/*FUNCTION Penta::GetSolutionFromInputsEnthalpy{{{*/
-void  Penta::GetSolutionFromInputsEnthalpy(Vector<IssmDouble>* solution){
-
-	const int    numdof=NDOF1*NUMVERTICES;
-
-	int*        doflist=NULL;
-	IssmDouble  values[numdof];
-	IssmDouble  enthalpy;
-	GaussPenta *gauss=NULL;
-
-	/*Get dof list: */
-	GetDofList(&doflist,NoneApproximationEnum,GsetEnum);
-	Input* h_input=inputs->GetInput(EnthalpyEnum); _assert_(h_input);
-
-	gauss=new GaussPenta();
-	for(int i=0;i<NUMVERTICES;i++){
-		/*Recover temperature*/
-		gauss->GaussVertex(i);
-		h_input->GetInputValue(&enthalpy,gauss);
-		values[i]=enthalpy;
-	}
-
-	/*Add value to global vector*/
-	solution->SetValues(numdof,doflist,values,INS_VAL);
-
-	/*Free ressources:*/
-	delete gauss;
-	xDelete<int>(doflist);
 }
 /*}}}*/
@@ -9848,37 +9784,4 @@
 }
 /*}}}*/
-/*FUNCTION Penta::GetSolutionFromInputsStressbalanceVert{{{*/
-void  Penta::GetSolutionFromInputsStressbalanceVert(Vector<IssmDouble>* solution){
-
-	const int    numdof=NDOF1*NUMVERTICES;
-
-	int          i;
-	int*         doflist=NULL;
-	IssmDouble       vz;
-	IssmDouble       values[numdof];
-	GaussPenta*  gauss=NULL;
-
-	/*Get dof list: */
-	GetDofList(&doflist,NoneApproximationEnum,GsetEnum);
-	Input* vz_input=inputs->GetInput(VzEnum); _assert_(vz_input);
-
-	/*Ok, we have vx and vy in values, fill in vx and vy arrays: */
-	/*P1 element only for now*/
-	gauss=new GaussPenta();
-	for(i=0;i<NUMVERTICES;i++){
-		/*Recover vz */
-		gauss->GaussVertex(i);
-		vz_input->GetInputValue(&vz,gauss);
-		values[i]=vz;
-	}
-
-	/*Add value to global vector*/
-	solution->SetValues(numdof,doflist,values,INS_VAL);
-
-	/*Free ressources:*/
-	delete gauss;
-	xDelete<int>(doflist);
-}
-/*}}}*/
 /*FUNCTION Penta::GetSolutionFromInputsStressbalanceFS{{{*/
 void  Penta::GetSolutionFromInputsStressbalanceFS(Vector<IssmDouble>* solution){
Index: issm/trunk-jpl/src/c/classes/Elements/Penta.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Elements/Penta.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Elements/Penta.h	(revision 16233)
@@ -203,5 +203,4 @@
 		void	         GetPhi(IssmDouble* phi, IssmDouble*  epsilon, IssmDouble viscosity);
 		void           GetQuadNormal(IssmDouble* normal,IssmDouble xyz_list[4][3]);
-		void	         GetSolutionFromInputsEnthalpy(Vector<IssmDouble>* solutiong);
 		IssmDouble     GetStabilizationParameter(IssmDouble u, IssmDouble v, IssmDouble w, IssmDouble diameter, IssmDouble kappa);
 		void           GetStrainRate3dHO(IssmDouble* epsilon,IssmDouble* xyz_list, GaussPenta* gauss, Input* vx_input, Input* vy_input);
@@ -278,5 +277,4 @@
 		void	         GetSolutionFromInputsStressbalanceSIA(Vector<IssmDouble>* solutiong);
 		void	         GetSolutionFromInputsStressbalanceFS(Vector<IssmDouble>* solutiong);
-		void	         GetSolutionFromInputsStressbalanceVert(Vector<IssmDouble>* solutiong);
 		ElementVector* CreatePVectorCouplingSSAFS(void);
 		ElementVector* CreatePVectorCouplingSSAFSViscous(void);
@@ -348,5 +346,4 @@
 		ElementVector* CreatePVectorThermalShelf(void);
 		ElementVector* CreatePVectorThermalSheet(void);
-		void	         GetSolutionFromInputsThermal(Vector<IssmDouble>* solutiong);
 		void           InputUpdateFromSolutionThermal(IssmDouble* solutiong);
 		void           InputUpdateFromSolutionEnthalpy(IssmDouble* solutiong);
Index: issm/trunk-jpl/src/c/classes/Elements/PentaRef.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Elements/PentaRef.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Elements/PentaRef.cpp	(revision 16233)
@@ -1894,24 +1894,4 @@
 }
 /*}}}*/
-/*FUNCTION PentaRef::GetQuadNodalFunctions {{{*/
-void PentaRef::GetQuadNodalFunctions(IssmDouble* l1l4,GaussPenta* gauss,int index1,int index2,int index3,int index4){
-	/*This routine returns the values of the nodal functions  at the gaussian point.*/
-
-	IssmDouble BasisFunctions[6];
-
-	GetNodalFunctionsP1(&BasisFunctions[0],gauss);
-
-	_assert_(index1>=0 && index1<6);
-	_assert_(index2>=0 && index2<6);
-	_assert_(index3>=0 && index3<6);
-	_assert_(index4>=0 && index4<6);
-
-	l1l4[0]=BasisFunctions[index1];
-	l1l4[1]=BasisFunctions[index2];
-	l1l4[2]=BasisFunctions[index3];
-	l1l4[3]=BasisFunctions[index4];
-
-}
-/*}}}*/
 /*FUNCTION PentaRef::GetQuadJacobianDeterminant{{{*/
 void PentaRef::GetQuadJacobianDeterminant(IssmDouble* Jdet,IssmDouble xyz_list[4][3],GaussPenta* gauss){
Index: issm/trunk-jpl/src/c/classes/Elements/PentaRef.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Elements/PentaRef.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Elements/PentaRef.h	(revision 16233)
@@ -35,5 +35,4 @@
 		void GetNodalFunctionsP1DerivativesReference(IssmDouble* dl1dl6,GaussPenta* gauss);
 		void GetNodalFunctionsMINIDerivativesReference(IssmDouble* dl1dl7,GaussPenta* gauss);
-		void GetQuadNodalFunctions(IssmDouble* l1l4,GaussPenta* gauss,int index1,int index2,int index3,int index4);
 		void GetQuadJacobianDeterminant(IssmDouble*  Jdet, IssmDouble xyz_list[4][3],GaussPenta* gauss);
 		void GetJacobian(IssmDouble* J, IssmDouble* xyz_list,GaussPenta* gauss);
Index: issm/trunk-jpl/src/c/classes/Hook.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Hook.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Hook.cpp	(revision 16233)
@@ -206,14 +206,4 @@
 }
 /*}}}*/
-/*FUNCTION Hook::GetObjects{{{*/
-Object** Hook::GetObjects(void){
-	return this->objects;
-}
-/*}}}*/
-/*FUNCTION Hook::GetOffsets{{{*/
-int* Hook::GetOffsets(void){
-	return this->offsets;
-}
-/*}}}*/
 /*FUNCTION Hook::Spawn{{{*/
 Hook* Hook::Spawn(int* indices, int numindices){
Index: issm/trunk-jpl/src/c/classes/Hook.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Hook.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Hook.h	(revision 16233)
@@ -40,7 +40,5 @@
 		void       configure(DataSet* dataset);
 		Hook*      Spawn(int* indices, int numindices);
-		Object**   GetObjects(void);
 		int*       Ids(void);
-		int*       GetOffsets(void);
 		int        GetNum(void);
 		/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Materials/Material.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Materials/Material.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Materials/Material.h	(revision 16233)
@@ -38,7 +38,5 @@
 		virtual IssmDouble GetBbar()=0;
 		virtual IssmDouble GetN()=0;
-		virtual IssmDouble GetZ()=0;
 		virtual IssmDouble GetD()=0;
-		virtual IssmDouble GetZbar()=0;
 		virtual IssmDouble GetDbar()=0;
 
Index: issm/trunk-jpl/src/c/classes/Materials/Matice.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Materials/Matice.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Materials/Matice.cpp	(revision 16233)
@@ -183,23 +183,4 @@
 	inputs->GetInputAverage(&D,DamageDEnum);
 	return D;
-}
-/*}}}*/
-/*FUNCTION Matice::GetZ {{{*/
-IssmDouble Matice::GetZ(){
-
-	/*Output*/
-	IssmDouble D;
-
-	inputs->GetInputAverage(&D,DamageDEnum);
-	return 1/(1-D);
-}
-/*}}}*/
-/*FUNCTION Matice::GetZbar {{{*/
-IssmDouble Matice::GetZbar(){
-
-	/*Output*/
-	IssmDouble Dbar;
-	inputs->GetInputAverage(&Dbar,DamageDbarEnum);
-	return 1/(1-Dbar);
 }
 /*}}}*/
Index: issm/trunk-jpl/src/c/classes/Materials/Matice.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Materials/Matice.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Materials/Matice.h	(revision 16233)
@@ -64,7 +64,5 @@
 		IssmDouble GetB();
 		IssmDouble GetBbar();
-		IssmDouble GetZ();
 		IssmDouble GetD();
-		IssmDouble GetZbar();
 		IssmDouble GetDbar();
 		IssmDouble GetN();
Index: issm/trunk-jpl/src/c/classes/Materials/Matpar.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Materials/Matpar.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Materials/Matpar.h	(revision 16233)
@@ -96,6 +96,4 @@
 		IssmDouble GetN(){_error_("not supported");};
 		IssmDouble GetD(){_error_("not supported");};
-		IssmDouble GetZ(){_error_("not supported");};
-		IssmDouble GetZbar(){_error_("not supported");};
 		IssmDouble GetDbar(){_error_("not supported");};
 		/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Node.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Node.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Node.cpp	(revision 16233)
@@ -401,27 +401,4 @@
 	DofInFSet(dof-1);
 	this->indexing.svalues[dof-1]=0.;
-}
-/*}}}*/
-/*FUNCTION Node::CreateVecSets {{{*/
-void  Node::CreateVecSets(Vector<IssmDouble>* pv_g,Vector<IssmDouble>* pv_f,Vector<IssmDouble>* pv_s){
-
-	IssmDouble gvalue=1.; //all nodes are in the g set;
-	IssmDouble value;
-
-	for(int i=0;i<this->indexing.gsize;i++){
-
-		/*g set: */
-		pv_g->SetValue(indexing.gdoflist[i],gvalue,INS_VAL);
-
-		/*f set: */
-		value=(IssmDouble)this->indexing.f_set[i];
-		pv_f->SetValue(indexing.gdoflist[i],value,INS_VAL);
-
-		/*s set: */
-		value=(IssmDouble)this->indexing.s_set[i];
-		pv_s->SetValue(indexing.gdoflist[i],value,INS_VAL);
-
-	}
-
 }
 /*}}}*/
Index: issm/trunk-jpl/src/c/classes/Node.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Node.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Node.h	(revision 16233)
@@ -68,5 +68,4 @@
 		void  DofInFSet(int dof);
 		int   GetDof(int dofindex,int setenum);
-		void  CreateVecSets(Vector<IssmDouble>* pv_g,Vector<IssmDouble>* pv_f,Vector<IssmDouble>* pv_s);
 		void  GetDofList(int* poutdoflist,int approximation_enum,int setenum);
 		void  GetLocalDofList(int* poutdoflist,int approximation_enum,int setenum);
Index: issm/trunk-jpl/src/c/classes/Params/BoolParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/BoolParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/BoolParam.cpp	(revision 16233)
@@ -65,9 +65,2 @@
 }
 /*}}}*/
-
-/*BoolParam virtual functions definitions: */
-/*FUNCTION BoolParam::GetParameterName{{{*/
-void BoolParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Params/BoolParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/BoolParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/BoolParam.h	(revision 16233)
@@ -68,6 +68,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/DataSetParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DataSetParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DataSetParam.cpp	(revision 16233)
@@ -68,9 +68,4 @@
 
 /*DataSetParam virtual functions definitions: */
-/*FUNCTION DataSetParam::GetParameterName{{{*/
-void DataSetParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION DataSetParam::GetParameterValue{{{*/
 void DataSetParam::GetParameterValue(DataSet** pdataset){
Index: issm/trunk-jpl/src/c/classes/Params/DataSetParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DataSetParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DataSetParam.h	(revision 16233)
@@ -69,7 +69,4 @@
 		void  SetValue(DataSet* dataset){_error_("DataSet param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot hold a DataSet yet");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("DataSet param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/DoubleMatArrayParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleMatArrayParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleMatArrayParam.cpp	(revision 16233)
@@ -183,9 +183,4 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatArrayParam::GetParameterName{{{*/
-void DoubleMatArrayParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION DoubleMatArrayParam::SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){{{*/
 void  DoubleMatArrayParam::SetValue(IssmDouble** in_array, int in_M, int* in_mdim_array, int* in_ndim_array){
Index: issm/trunk-jpl/src/c/classes/Params/DoubleMatArrayParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleMatArrayParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleMatArrayParam.h	(revision 16233)
@@ -71,7 +71,4 @@
 		void  SetValue(FILE* fid){_error_("Bool param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array);
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/DoubleMatParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleMatParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleMatParam.cpp	(revision 16233)
@@ -101,9 +101,4 @@
 }
 /*}}}*/
-/*FUNCTION DoubleMatParam::GetParameterName{{{*/
-void DoubleMatParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION DoubleMatParam::SetValue{{{*/
 void  DoubleMatParam::SetValue(IssmDouble* IssmDoublearray,int in_M,int in_N){
Index: issm/trunk-jpl/src/c/classes/Params/DoubleMatParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleMatParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleMatParam.h	(revision 16233)
@@ -70,7 +70,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/DoubleParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleParam.cpp	(revision 16233)
@@ -64,9 +64,4 @@
 
 /*DoubleParam virtual functions definitions: */
-/*FUNCTION DoubleParam::GetParameterName{{{*/
-void DoubleParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION DoubleParam::GetParameterValue(int* pinteger){{{*/
 void DoubleParam::GetParameterValue(int* pinteger){
Index: issm/trunk-jpl/src/c/classes/Params/DoubleParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleParam.h	(revision 16233)
@@ -69,7 +69,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/DoubleVecParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleVecParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleVecParam.cpp	(revision 16233)
@@ -116,9 +116,4 @@
 }
 /*}}}*/
-/*FUNCTION DoubleVecParam::GetParameterName{{{*/
-void DoubleVecParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION DoubleVecParam::SetValue{{{*/
 void  DoubleVecParam::SetValue(IssmDouble* IssmDoublearray,int in_M){
Index: issm/trunk-jpl/src/c/classes/Params/DoubleVecParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/DoubleVecParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/DoubleVecParam.h	(revision 16233)
@@ -69,6 +69,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/FileParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/FileParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/FileParam.cpp	(revision 16233)
@@ -65,9 +65,2 @@
 }
 /*}}}*/
-
-/*FileParam virtual functions definitions: */
-/*FUNCTION FileParam::GetParameterName{{{*/
-void FileParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Params/FileParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/FileParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/FileParam.h	(revision 16233)
@@ -68,7 +68,4 @@
 		void  SetValue(FILE* fid){_error_("File param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("File param of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/GenericParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/GenericParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/GenericParam.h	(revision 16233)
@@ -55,6 +55,4 @@
                 /*Param vritual function definitions: {{{*/
                 int   InstanceEnum(){return myEnumVal;}
-                void GetParameterName(char**pname) {EnumToStringx(pname,this->myEnumVal);}
-
                 P& GetParameterValue() { return myP;}
                 const P& GetParameterValue()const { return myP;};
Index: issm/trunk-jpl/src/c/classes/Params/IntMatParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/IntMatParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/IntMatParam.cpp	(revision 16233)
@@ -96,9 +96,4 @@
 }
 /*}}}*/
-/*FUNCTION IntMatParam::GetParameterName{{{*/
-void IntMatParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION IntMatParam::SetValue{{{*/
 void  IntMatParam::SetValue(int* intarray,int in_M,int in_N){
Index: issm/trunk-jpl/src/c/classes/Params/IntMatParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/IntMatParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/IntMatParam.h	(revision 16233)
@@ -70,7 +70,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/IntParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/IntParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/IntParam.cpp	(revision 16233)
@@ -65,9 +65,2 @@
 }
 /*}}}*/
-
-/*IntParam virtual functions definitions: */
-/*FUNCTION IntParam::GetParameterName{{{*/
-void IntParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Params/IntParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/IntParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/IntParam.h	(revision 16233)
@@ -69,7 +69,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/IntVecParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/IntVecParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/IntVecParam.cpp	(revision 16233)
@@ -110,9 +110,4 @@
 }
 /*}}}*/
-/*FUNCTION IntVecParam::GetParameterName{{{*/
-void IntVecParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION IntVecParam::SetValue{{{*/
 void  IntVecParam::SetValue(int* intarray,int in_M){
Index: issm/trunk-jpl/src/c/classes/Params/IntVecParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/IntVecParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/IntVecParam.h	(revision 16233)
@@ -70,6 +70,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/MatrixParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/MatrixParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/MatrixParam.cpp	(revision 16233)
@@ -84,9 +84,4 @@
 }
 /*}}}*/
-/*FUNCTION MatrixParam::GetParameterName{{{*/
-void MatrixParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION MatrixParam::SetValue{{{*/
 void  MatrixParam::SetValue(Matrix<IssmDouble>* matrix){
Index: issm/trunk-jpl/src/c/classes/Params/MatrixParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/MatrixParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/MatrixParam.h	(revision 16233)
@@ -69,7 +69,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/Param.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/Param.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/Param.h	(revision 16233)
@@ -55,5 +55,4 @@
 		virtual void  SetValue(FILE* fid)=0;
 		virtual void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array)=0;
-		virtual void  GetParameterName(char**pname)=0;
 };
 #endif
Index: issm/trunk-jpl/src/c/classes/Params/StringArrayParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/StringArrayParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/StringArrayParam.cpp	(revision 16233)
@@ -128,9 +128,4 @@
 }
 /*}}}*/
-/*FUNCTION StringArrayParam::GetParameterName{{{*/
-void StringArrayParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION StringArrayParam::SetValue{{{*/
 void  StringArrayParam::SetValue(char** stringarray,int M){
Index: issm/trunk-jpl/src/c/classes/Params/StringArrayParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/StringArrayParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/StringArrayParam.h	(revision 16233)
@@ -70,6 +70,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/StringParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/StringParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/StringParam.cpp	(revision 16233)
@@ -83,9 +83,4 @@
 }
 /*}}}*/
-/*FUNCTION StringParam::GetParameterName{{{*/
-void StringParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION StringParam::SetValue{{{*/
 void  StringParam::SetValue(char* string){
Index: issm/trunk-jpl/src/c/classes/Params/StringParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/StringParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/StringParam.h	(revision 16233)
@@ -69,7 +69,4 @@
 		void  SetValue(FILE* fid){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/TransientParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/TransientParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/TransientParam.cpp	(revision 16233)
@@ -127,7 +127,2 @@
 }
 /*}}}*/
-/*FUNCTION TransientParam::GetParameterName{{{*/
-void TransientParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Params/TransientParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/TransientParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/TransientParam.h	(revision 16233)
@@ -70,7 +70,4 @@
 		void  SetValue(FILE* fid){_error_("Parameter " <<EnumToStringx(enum_type) << " cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Parameter " <<EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/Params/VectorParam.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/VectorParam.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/VectorParam.cpp	(revision 16233)
@@ -87,9 +87,4 @@
 }
 /*}}}*/
-/*FUNCTION VectorParam::GetParameterName{{{*/
-void VectorParam::GetParameterName(char**pname){
-	EnumToStringx(pname,this->enum_type);
-}
-/*}}}*/
 /*FUNCTION VectorParam::SetValue{{{*/
 void  VectorParam::SetValue(Vector<IssmDouble>* vector){
Index: issm/trunk-jpl/src/c/classes/Params/VectorParam.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Params/VectorParam.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/Params/VectorParam.h	(revision 16233)
@@ -69,7 +69,4 @@
 		void  SetValue(FILE* fid){_error_("Vector of enum " << enum_type << " (" << EnumToStringx(enum_type) << ") cannot hold a FILE");}
 		void  SetValue(IssmDouble** array, int M, int* mdim_array, int* ndim_array){_error_("Param "<< EnumToStringx(enum_type) << " cannot hold an array of matrices");}
-
-		void GetParameterName(char**pname);
-
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/classes/gauss/GaussPenta.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/gauss/GaussPenta.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/gauss/GaussPenta.cpp	(revision 16233)
@@ -495,15 +495,4 @@
 }
 /*}}}*/
-/*FUNCTION GaussPenta::GaussCenter{{{*/
-void GaussPenta::GaussCenter(void){
-
-	/*update static arrays*/
-	coord1=ONETHIRD;
-	coord2=ONETHIRD;
-	coord3=ONETHIRD;
-	coord4=0.0;
-
-}
-/*}}}*/
 /*FUNCTION GaussPenta::GaussPoint{{{*/
 void GaussPenta::GaussPoint(int ig){
Index: issm/trunk-jpl/src/c/classes/gauss/GaussPenta.h
===================================================================
--- issm/trunk-jpl/src/c/classes/gauss/GaussPenta.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/gauss/GaussPenta.h	(revision 16233)
@@ -47,5 +47,4 @@
 		void GaussNode(int finitelement,int iv);
 		void GaussFaceTria(int index1, int index2, int index3, int order);
-		void GaussCenter(void);
 		void SynchronizeGaussTria(GaussTria* gauss_tria);
 };
Index: issm/trunk-jpl/src/c/classes/gauss/GaussTria.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/gauss/GaussTria.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/gauss/GaussTria.cpp	(revision 16233)
@@ -341,14 +341,4 @@
 }
 /*}}}*/
-/*FUNCTION GaussTria::GaussCenter{{{*/
-void GaussTria::GaussCenter(void){
-
-	/*update static arrays*/
-	coord1=ONETHIRD;
-	coord2=ONETHIRD;
-	coord3=ONETHIRD;
-
-}
-/*}}}*/
 /*FUNCTION GaussTria::GaussEdgeCenter{{{*/
 void GaussTria::GaussEdgeCenter(int index1,int index2){
Index: issm/trunk-jpl/src/c/classes/gauss/GaussTria.h
===================================================================
--- issm/trunk-jpl/src/c/classes/gauss/GaussTria.h	(revision 16232)
+++ issm/trunk-jpl/src/c/classes/gauss/GaussTria.h	(revision 16233)
@@ -42,5 +42,4 @@
 		void GaussVertex(int iv);
 		void GaussNode(int finitelement,int iv);
-		void GaussCenter(void);
 		void GaussEdgeCenter(int index1,int index2);
 };
Index: issm/trunk-jpl/src/c/kml/KML_Object.cpp
===================================================================
--- issm/trunk-jpl/src/c/kml/KML_Object.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/kml/KML_Object.cpp	(revision 16233)
@@ -295,31 +295,4 @@
 }
 /*}}}*/
-/*FUNCTION KML_Object::FindAttrib {{{*/
-void  KML_Object::FindAttrib(char** pvalue,char* name,char* deflt){
-
-	int   i;
-	KML_Attribute* katt=NULL;
-
-/*  loop over any attributes for the object  */
-
-	if (attrib->Size())
-		for (i=0; i<attrib->Size(); i++)
-			if (!strcmp(((KML_Attribute *)attrib->GetObjectByOffset(i))->name,name)) {
-				katt=(KML_Attribute *)attrib->GetObjectByOffset(i);
-				break;
-			}
-
-/*  if found, get the value; otherwise use the default  */
-
-	if (katt)
-		katt->Get(pvalue,deflt);
-	else {
-		*pvalue=xNew<char>(strlen(deflt)+1);
-		memcpy(*pvalue,deflt,(strlen(deflt)+1)*sizeof(char));
-	}
-
-	return;
-}
-/*}}}*/
 /*FUNCTION KML_Object::WriteAttrib {{{*/
 void  KML_Object::WriteAttrib(FILE* filout,const char* indent){
@@ -363,22 +336,4 @@
 }
 /*}}}*/
-/*FUNCTION KML_Object::FindCommnt {{{*/
-void  KML_Object::FindCommnt(char** pvalue,int inum){
-
-	KML_Comment* kcom=NULL;
-
-/*  loop over any comments for the object  */
-
-	if (inum <= commnt->Size())
-		kcom=(KML_Comment *)commnt->GetObjectByOffset(inum-1);
-
-/*  if found, get the value; otherwise use the NULL  */
-
-	if (kcom)
-		kcom->Get(pvalue);
-
-	return;
-}
-/*}}}*/
 /*FUNCTION KML_Object::WriteCommnt {{{*/
 void  KML_Object::WriteCommnt(FILE* filout,const char* indent){
Index: issm/trunk-jpl/src/c/kml/KML_Object.h
===================================================================
--- issm/trunk-jpl/src/c/kml/KML_Object.h	(revision 16232)
+++ issm/trunk-jpl/src/c/kml/KML_Object.h	(revision 16233)
@@ -37,9 +37,7 @@
 		virtual void  WriteExp(FILE* fid,const char* nstr,int sgn,double cm,double sp);
 		virtual void  AddAttrib(const char* name,const char* value);
-		virtual void  FindAttrib(char** pvalue,char* name,char* deflt);
 		virtual void  WriteAttrib(FILE* fid,const char* indent);
 		virtual void  AddCommnt(int ncom,char** pcom);
 		virtual void  AddCommnt(char* value);
-		virtual void  FindCommnt(char** pvalue,int inum);
 		virtual void  WriteCommnt(FILE* fid,const char* indent);
 
Index: issm/trunk-jpl/src/c/shared/Matrix/MatrixUtils.cpp
===================================================================
--- issm/trunk-jpl/src/c/shared/Matrix/MatrixUtils.cpp	(revision 16232)
+++ issm/trunk-jpl/src/c/shared/Matrix/MatrixUtils.cpp	(revision 16233)
@@ -367,20 +367,2 @@
 
 }/*}}}*/
-/*FUNCTION MatrixTranspose(IssmDouble* Adet,IssmDouble* A) {{{*/
-void MatrixTranspose(IssmDouble* tA,IssmDouble* A, int nrows, int ncols){
-	/*Transpose a n*m matrix*/
-
-	int i,j;
-
-	/*Check the the matrix has been allocated*/
-	_assert_(tA);
-
-	/*Transpose*/
-	for(i=0;i<ncols;i++){
-		for(j=0;j<nrows;j++){
-			tA[i*nrows+j]=A[j*ncols+i];
-		}
-	}
-
-}
-/*}}}*/
Index: issm/trunk-jpl/src/c/shared/Matrix/matrix.h
===================================================================
--- issm/trunk-jpl/src/c/shared/Matrix/matrix.h	(revision 16232)
+++ issm/trunk-jpl/src/c/shared/Matrix/matrix.h	(revision 16233)
@@ -15,5 +15,4 @@
 void Matrix3x3Invert(IssmDouble* Ainv, IssmDouble* A);
 void Matrix3x3Determinant(IssmDouble* Adet,IssmDouble* A);
-void MatrixTranspose(IssmDouble* tA,IssmDouble* A,int nrows, int ncols);
 
 #endif //ifndef _MATRIXUTILS_H_
